View Issue Details

IDProjectCategoryView StatusLast Update
0006615GNUnetutil librarypublic2020-11-14 09:57
Reporterschanzen Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.14.0Fixed in Version0.14.0 
Summary0006615: String functions localize units
DescriptionCurrently, the "fancy" time conversions are used in most "to_string" functions. They can be converted back to values using corresponding parsers for fancy strings.
However, this only works within the same locale.
I think we should not internationalize units in util and instead allow the called to do that.
Alternatively, the default "to_string" functions should not localize units (or convert without units).
TagsNo tags attached.

Activities

schanzen

2020-10-05 17:59

manager   ~0016996

Fixed in 400f527fbd5cb6d9523374f6f8d1320339c5b71a

schanzen

2020-11-14 09:57

manager   ~0017135

0.14.0 released

Issue History

Date Modified Username Field Change
2020-10-01 16:08 schanzen New Issue
2020-10-05 17:59 schanzen Assigned To => schanzen
2020-10-05 17:59 schanzen Status new => resolved
2020-10-05 17:59 schanzen Resolution open => fixed
2020-10-05 17:59 schanzen Fixed in Version => 0.13.4
2020-10-05 17:59 schanzen Note Added: 0016996
2020-10-28 13:06 schanzen Target Version 0.13.4 => 0.14.0
2020-10-28 14:14 schanzen Fixed in Version 0.13.4 => 0.14.0
2020-11-14 09:57 schanzen Note Added: 0017135
2020-11-14 09:57 schanzen Status resolved => closed